Subject: Re: bug#57343: hscroll current-line scrolls short lines too far to the left

From: Erik van Zwol <[email-masked]>
Date: Tue, 23 Aug 2022 21:50:54 -0600

Looking at your screenshots, I believe if you make the bottom line almost
as long as the width of the frame, then the problem would not occur on that
line.

On Tue, Aug 23, 2022 at 9:48 PM Erik van Zwol <[email-masked]> wrote:

> I believe the issue happens when the line you are moving the cursor from a
> line that is hscrolled to a line that is shorter than (frame_width -
> hscroll_margin), the issue occurs.  However, if the line you are moving the
> cursor to is greater than or equal to (frame_width - hscroll_margin), the
> problem does not occur.  This is more evident when you set the
> hscroll-margin to something smaller, like 1 or 2.
>
> The patch I attached has modified the if statement that has this condition
> in it (point >= frame_width - hscroll_margin) or something like that, I
> don't have the code in front of me.
>
>
>
> On Tue, Aug 23, 2022 at 11:07 AM Eli Zaretskii <[email-masked]> wrote:
>
>> > From: Stephen Berman <[email-masked]>
>> > Cc: Erik van Zwol <[email-masked]>,  [email-masked]
>> > Date: Tue, 23 Aug 2022 18:56:34 +0200
>> >
>> > > I feel there's something else at work here, because if you move the
>> > > cursor up instead of down (i.e., to the previous instead of the next
>> > > line), the problem doesn't happen.
>> >
>> > I see the same hscrolling when moving to the next and to the previous
>> > line, both the same length (too short for hscrolling), see the attached
>> > screenshots.
>>
>> You are saying that what you see on your system invalidates my
>> observations on my system?
>>
>> All I'm saying is that what I see here tells me there's more here than
>> meets the eye.  AFAIU, your evidence actually affirms my feeling.
>>
>